LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::animations::EventTrigger Constant Group Reference

## Variables
const short | NONE = 0
| Nothing triggers this event. More...
const short | ON_BEGIN = 1
const short | ON_END = 2
const short | BEGIN_EVENT = 3
| This event is raised when the element local timeline begins to play. More...
const short | END_EVENT = 4
| This event is raised at the active end of the element. More...
const short | ON_CLICK = 5
const short | ON_DBL_CLICK = 6
const short | ON_MOUSE_ENTER = 7
const short | ON_MOUSE_LEAVE = 8
const short | ON_NEXT = 9
| This event is raised when the user wants the presentation to go one step forward. More...
const short | ON_PREV = 10
| This event is raised when the user wants the presentation to go one step backward. More...
const short | ON_STOP_AUDIO = 11
const short | REPEAT = 12
| This event is raised when the element local timeline repeats. More...

## Variable Documentation

## ◆ BEGIN_EVENT

const short BEGIN_EVENT = 3

This event is raised when the element local timeline begins to play.

It will be raised each time the element begins the active duration (i.e. when it restarts, but not when it repeats).

See also
  http://www.w3.org/TR/smil20/smil-timing.html#Timing-DOMEvents

## ◆ END_EVENT

const short END_EVENT = 4

This event is raised at the active end of the element.

Note that this event is not raised at the simple end of each repeat.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#Timing-DOMEvents

## ◆ NONE

const short NONE = 0

Nothing triggers this event.

## ◆ ON_BEGIN

const short ON_BEGIN = 1

## ◆ ON_CLICK

const short ON_CLICK = 5

## ◆ ON_DBL_CLICK

const short ON_DBL_CLICK = 6

## ◆ ON_END

const short ON_END = 2

## ◆ ON_MOUSE_ENTER

const short ON_MOUSE_ENTER = 7

## ◆ ON_MOUSE_LEAVE

const short ON_MOUSE_LEAVE = 8

## ◆ ON_NEXT

const short ON_NEXT = 9

This event is raised when the user wants the presentation to go one step forward.

## ◆ ON_PREV

const short ON_PREV = 10

This event is raised when the user wants the presentation to go one step backward.

## ◆ ON_STOP_AUDIO

const short ON_STOP_AUDIO = 11

## ◆ REPEAT

const short REPEAT = 12

This event is raised when the element local timeline repeats.

It will be raised each time the element repeats, after the first iteration.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#Timing-DOMEvents